### GNU Affero 一般公衆利用許諾書（GNU AFFERO GENERAL PUBLIC LICENSE）

バージョン3、2007年11月19日

日本語訳、2018年8月21日

Copyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>

Everyone is permitted to copy and distribute verbatim copies of this
license document, but changing it is not allowed.

（訳: 本ライセンス文書を、一字一句忠実に複製、頒布することは許可する。しかし変更は認めない。）

This is an unofficial translation of the GNU Affero General Public License
into Japanese. It was not published by the Free Software Foundation,
and does not legally state the distribution terms for software that
uses the GNU AGPL-only the original English text of the GNU AGPL does
that. However, we hope that this translation will help Japanese
speakers understand the GNU AGPL better.

（訳: 以下は GNU Affero General Public License の非公式な日本語訳です。これはフリーソフトウェア財団（Free Software Foundation）によって正式に発表されたものではなく、GNU AGPL が適用されたソフトウェアの頒布条件を法的に有効な形で述べたものではありません。頒布条件としては、GNU AGPL の英語版テキストで指定されているもののみが有効です。しかしながら、私たちはこの翻訳が、日本語を使用する人々にとって GNU AGPL をより良く理解する助けとなることを望んでいます。）

You may publish this translation, modified or unmodified, only under
the terms at https://www.gnu.org/licenses/translations.html.

（訳: あなたはこの翻訳を、改変の有無を問わず、https://www.gnu.org/licenses/translations.html に記載された条件の下でのみ公開することができます。）

翻訳は八田真行 <mhatta@gnu.org> が行った。原文は https://www.gnu.org/licenses/agpl.txt である。誤訳の指摘や訳の改善案を歓迎する。なお、日本語訳の利用条件は原文に準ずる。

日本語訳を用意するに当たっては、独立行政法人 情報処理推進機構（IPA）の支援を得た。

### はじめに

GNU Affero 一般公衆利用許諾書は、ソフトウェアやその他の種類の著作物のための、フリーかつコピーレフトを主張するライセンスです。特にネットワークサーバソフトウェアに適用された場合に、コミュニティとの協力が確実なものとなるよう設計されています。

ソフトウェアやその他の実用的著作物向けのライセンスの大半は、あなたから著作物を共有したり変更したりする自由を奪い去るよう設計されています。それらとは対照的に、私たちの一般公衆利用許諾書は、あなたがあるプログラムのすべてのバージョンを共有、変更する自由、すなわち、そのプログラムがそのすべてのユーザにとってフリーソフトウェアであり続けることを保証することを目的としています。

私たちがフリーソフトウェアについて語るとき、私たちは自由について言及しているのであって、価格は問題にしていません。私たちが用意した一般公衆利用許諾書の数々は、フリーソフトウェアのコピーを頒布する（そして希望によっては頒布に際して手数料を要求する）自由をあなたに保証すべく設計されています。すなわち、ソースコードを受領するか、望めばそれを手に入れられるということ、ソフトウェアを変更し、その一部を新たなフリープログラムで利用することができるということ、そしてこうしたことが可能であることをあなたが知っているということが保証されるのです。

（訳注: GNU AGPL 以外の一般公衆利用許諾書として、GNU GPL と GNU LGPL が用意されている。）

私たちの一般公衆利用許諾書を利用する開発者は、あなたの権利を2段階の手順を踏んで守ります。その手順とは、（1）ソフトウェアに著作権を主張し、（2）あなたに本許諾書を提示して、ソフトウェアを複製、頒布、または改変する法的な許可を与える、というものです。

すべてのユーザの自由を守ることの二次的な利益は、プログラムの別バージョンに行われた改良が、それらが広く使われるようになった場合、他の開発者にも利用可能となって自分のバージョンにも取り込めるようになるということです。多くのフリーソフトウェアの開発者は、こうした協力の果実に元気づけられ、鼓舞されています。しかし、ネットワークサーバで使われるソフトウェアの場合、こうした協力がうまくいかないことがありえます。GNU 一般公衆利用許諾書では、改変したバージョンを作ってサーバ上で動かし、公衆にソースコードを全く開示することなく、一般にアクセスさせることを許可しているからです。

GNU Affero 一般公衆利用許諾書は、特にこのような場合において、改変されたソースコードがコミュニティに利用可能となることを保証すべく設計されています。本ライセンスは、ネットワークサーバの運営者に対し、サーバで実行されている改変されたバージョンのソースコードを、そのサーバのユーザに提供することを義務付けます。そこで、改変されたバージョンを、一般の人がアクセスできるサーバで一般向けに利用するならば、それは改変されたバージョンのソースコードに、一般がアクセスすることを認めるということになるのです。

Affero 一般公衆利用許諾書（Affero GPL）と呼ばれる古いライセンスが存在し、Affero 社によって発表されていました。これは本ライセンス（GNU AGPL）と似た目標を達成すべく設計されていましたが、異なるライセンスであり、本ライセンスは Affero GPL の一バージョンではありません。しかし、Affero 社は Affero GPL の新しいバージョンを公開し、本ライセンスの下での再ライセンスを認めています。

複製、頒布、改変に関する正確な利用条件は以下で述べていきます。

### 利用条件 (TERMS AND CONDITIONS）

#### 0. 定義

「本許諾書」（The License）とは、GNU Affero 一般公衆利用許諾書のバージョン3を指す。

「『コピーライト』」（Copyright）とは、いわゆる著作権のみならず、半導体マスクのようなその他の作品に適用される、著作権に類似した法的権利をも意味する。

（訳注: この規定により、本許諾書は著作権法で保護されたいわゆる「著作物」よりも広い範囲をカバーすることになる。よってこの訳のライセンス本文中においては、work（s） に「著作物」ではなく「作品」という訳語を宛てることにした。）

「『プログラム』」（The Program）とは、本許諾書の下でライセンスされた、『コピーライト』が主張可能な作品すべてを意味する。個々のライセンシーは「あなた」として表現される。ライセンシーは個人でも組織でも構わない。

ある作品の「改変」（modify）とは、その作品の全体ないし一部を、『コピーライト』の許可を必要とするようなやり方で複製ないし翻案することを意味する。ただし、完全に同一なコピーを作成する場合は除く。改変の結果出来た作品は、以前の作品の「改変されたバージョン」（modified version）、または、以前の作品を「基にした」（based on）作品と呼ばれる。

「『保護された作品』」（covered work）とは、改変されていない『プログラム』か、『プログラム』を基にした作品のいずれかを指す。

ある作品の「普及」（propagate）とは、コンピュータ上で実行すること、または私的なコピーを改変することを除き、適用可能な『コピーライト』法規の下で許可無く行うと、権利侵害として、直接的、あるいは間接的にあなたが責任を問われる何らかの行為を意味する。普及には、複製、頒布（改変の有無を問わない）、公衆への利用可能化が含まれ、またいくつかの国々では他の活動も含まれる可能性がある。

ある作品の「伝達」（convey）とは、第三者がコピーを作成ないし受領するのを可能とする普及行為すべてを意味する。ただし、コンピュータネットワーク越しにユーザとやりとりするだけで、コピーの転送は伴わない場合は、伝達ではない。対話的なユーザインターフェースが「『適切な法的告知』」（Appropriate Legal Notices）を表示するという場合、そのインターフェースは（1）適切な『コピーライト』告知を表示し、（2）ユーザに対して、その作品には何の保証もない（別途保証が提供されている場合は除く）ということ、ライセンシーはその作品を本許諾書の下で伝達できるということ、そして本許諾書のコピーを見るにはどうしたらよいかということを便利かつ顕著に視認できるような機能を含むものとする。もしインターフェースが、メニューのようなユーザコマンドやオプションの一覧を表示するならば、その一覧中には上記の基準を満たすようなアイテムが目立つように含まれていなければならない。

#### 1. ソースコード

ある作品の「ソースコード」（source code）とは、その作品に改変を加えるに当たって好ましいと考えられる形式のことである。「オブジェクトコード」（object code）とは、作品がとりうるソースコード以外の形式すべてを意味する。

「標準インターフェース」（Standard Interface）とは、標準化団体として認知された組織によって定義された公式な標準か、ある特定のプログラミング言語向けに指定されたインターフェースの場合には、その言語を利用する開発者の間で広く使われているインターフェースのことを指す。

実行可能な作品の「『システムライブラリ』」（System Libraries）とは、（a）「主要コンポーネント」（Major Component）の頒布物に通常含まれるが、その主要コンポーネントの一部ではなく、かつ（b） 作品をその「主要コンポーネント」といっしょに利用することを可能にする、あるいは公衆にとってソースコード形式で利用可能な実装がひとつは存在する標準インターフェースを提供するためにのみ機能するものすべてを意味する。ただし、全体としての作品そのものは除く。ここでいう「主要コンポーネント」とは、実行可能な作品がその上で実行されるある特定のオペレーティングシステム（そういったものが必要ならば）の主要で不可欠な一部分（カーネルやウィンドウシステムなど）、あるいはその作品を作成するのに使われるコンパイラ、実行するのに使われるオブジェクトコードインタプリタなどを意味する。

オブジェクトコード形式の作品に「『対応するソース』」（Corresponding Source）とは、その作品を生成、インストール、（実行可能な作品に関しては）オブジェクトコードを実行、または作品を改変する上で必要とされるソースコードのすべてを意味する。この場合、そうした活動をコントロールするためのスクリプトは『対応するソース』に含まれるが、その作品にとっての『システムライブラリ』や、先ほど列挙した活動を行う上で改変されることなく利用されるものの作品の一部ではない、汎用のツールや一般的に利用可能なフリープログラムは除外される。例えば『対応するソース』には、その作品のソースファイルと連携するインターフェース定義ファイルに加え、共有ライブラリや動的にリンクされた下位プログラムと作品のその他の部分との間での親密なデータのやりとりやコントロールフローなどのために、その作品が設計上明確に必要とする、そうした共有ライブラリや下位プログラムのソースコードなどが含まれる。

『対応するソース』には、ユーザが『対応するソース』の他の部分から自動的に再生成できるものを含む必要はない。

ソースコード形式の作品にとっての『対応するソース』とは、その作品そのものである。

#### 2. 基本的な許可

本許諾書の下で認められるすべての権利は、『プログラム』に主張される『コピーライト』の条項に基づき授与されるものであり、ここで述べられた条件が満たされている限り覆すことはできない。本許諾書は、改変されていない『プログラム』をあなたが無制限に実行することを許可し、明示的に確約する。『保護された作品』を実行することから得られた出力結果は、その出力内容が『保護された作品』を構成する場合のみ本許諾書で保護される。本許諾書は、あなたが有するフェアユースまたはその同等物の権利を、『コピーライト』法規によって提供される通りに承認する。

その他の状況においてあなたのライセンスが有効である限り、『保護された作品』の、伝達を伴わない作成、実行、および普及は無条件に行うことができる。他者にあなた専用の改変を行わせる、あるいは他者にあなたがそういった作品を実行するための機能を提供させるということが唯一の目的であれば、『保護された作品』を他者に伝達することができる。ただしその場合、あなたが『コピーライト』を支配していない部分すべての伝達に関しては、本許諾書の条項に従わなければならない。従って、あなたのために『保護された作品』を作成または実行する者は、専らあなたのためだけに、あなたの監督と支配の下で、あなたとの関係の範囲外ではあなたが『コピーライト』を有する一部分のいかなるコピーをも作成することを禁止するという条件の下で行わなければならないということになる。

上記以外のあらゆる状況下においては、伝達は以下で述べる条件の下でのみ許可される。再許諾は認められない。下記第10項により、再許諾は必要ないからである。

#### 3. ユーザの法的権利を、技術的保護手段の回避を禁ずる法律から守る

『保護された作品』は、1996年12月20日に採択されたWIPO著作権条約第11項の下での義務を満たす適用可能な法のいずれか、あるいはそれに類似の法が、回避の禁止または制限の対象として規定する、「効果的な技術的手段」（effective technological measure）の一部として見なされてはならない。

（訳注: WIPO著作権条約については、http://www.cric.or.jp/db/treaty/wch_index.html 等を参照せよ。）

あなたが『保護された作品』を伝達する場合、『保護された作品』に関して本許諾書の下で権利を行使することにより、技術的手段の回避に影響が出る範囲において、そのような手段の回避を禁じるいかなる法的権力をも放棄することになる。また、あなたはその作品のユーザに対して、技術的手段の回避を禁じるためにあなたや第三者の法的権利を強制するための手段として、その作品の動作や改変を制限するいかなる意図も否認することになる。

#### 4. 一字一句忠実なコピーの伝達

あなたは、自分が受領した『プログラム』のソースコードと一字一句同じコピーであれば、いかなる媒体でも伝達することができる。ただしその場合、あなたはそれぞれのコピーにおいて、目立つように、かつ適切な形で、ふさわしい『コピーライト』告知を掲載しなければならない。すなわち、本許諾書と、下記第7項に従い追加された非許可的条項のすべてがそのコードに適用される旨の告知を掲載し、あらゆる保証が存在しない旨の告知をすべてそのまま保全し、かつ『プログラム』の受領者すべてに、『プログラム』といっしょにこの許諾書のコピーを与えなければならない。

あなたは、自分が伝達するコピーのそれぞれに関していかなる価格を付けても良いし、無料で伝達しても構わない。また、報酬を取ってサポートや保証保護（warranty protection）を提供しても良い。

#### 5. 改変されたバージョンのソースの伝達

あなたは、『プログラム』を基にした作品、あるいはそうした作品を『プログラム』から作成するための改変点を、上記第4項の規定に従ってソースコード形式で伝達することができる。ただしその場合、あなたは以下に示す条件のすべてを満たさなければならない:

-   a） 作品には、あなたが作品を改変したということと、改変に関連した日時を記述した告知を目立つように載せなければならない。
-   b） 作品には、それが本許諾書と、下記第7項に従って追加された条件すべての下で公開されていることを記述した告知を目立つように載せなければならない。この条件は、上記第4項における「告知をすべてそのまま保全」するための条項を改変する。
-   c） 作品の全部分を、総体として、コピーを所有するに至った人全員に、本許諾書の下でライセンスしなければならない。そこで、本許諾書は、本許諾書第7項に基づく適用可能な追加的条項のすべてとともに、作品全体に、すなわちその全部分に、それらがどのようにパッケージされているかに関わらず適用されることになる。本許諾書は、これ以外のやり方には作品をライセンスする許可を与えないが、あなたが本許諾書以外で別途許可を得ていた場合には、それによって得られた許可まで無効とするものではない。
-   d） 改変された作品が対話的なユーザインターフェースを有する場合、それらのインターフェースは『適切な法的告知』を表示しなければならない。ただし、『プログラム』に元々『適切な法的告知』を表示しない対話的なインターフェースがある場合、あなたの作品で表示するようにする必要はない。

一巻の記憶装置の中か頒布媒体上で、『保護された作品』と、本来『保護された作品』の拡張ではなく、『保護された作品』とより大規模なプログラムを形成するような形で結合されているわけでもないその他の分離かつ独立した作品とをまとめた編集物は、編集作業とそれに由来する『コピーライト』が、個々の作品が許可する範囲を越えて編集物のユーザの作品へのアクセスや法的権利を制限するのに使われない限り、「集積物」（aggregate）と呼ばれる。単に『保護された作品』を集積物に含めるだけでは、その集積物の他の部分にまで本許諾書が適用されるということにはならない。

#### 6. ソース以外の形式における伝達

あなたは、オブジェクトコード形式の『保護された著作物』を、上記第4項および第5項の規定に従って伝達することができる。ただしその場合、あなたは機械読み取り可能な『対応するソース』も本許諾書の条件に従って、以下のいずれかの方法で伝達しなければならない。

-   a） オブジェクトコードを物理的製品（物理的頒布媒体を含む）で、あるいはそれに組み込んで伝達する。その際、『対応するソース』を、ソフトウェアのやりとりで一般的に使われる耐久性のある物理的媒体に固定していっしょに頒布する。
-   b） オブジェクトコードを物理的製品（物理的頒布媒体を含む）で、あるいはそれに組み込んで伝達する。その際、最低でも3年間、あるいはあなたがその製品モデルに補修用部品やカスタマーサポートを提供する限り有効な、書面による申し出を添付する。その申し出には、（1）オブジェクトコードを所有する者すべてに対して、その製品に含まれるソフトウェアのうち本許諾書で保護されるものすべてに『対応するソース』のコピーを、ソフトウェアのやりとりで一般的に使われる耐久性のある物理的媒体で頒布する旨を記載する。その際、物理的にこのソースの伝達を行うのにかかる正当なコスト以上の価格を要求してはならない。あるいは、（2）『対応するソース』を無料でネットワークサーバから複製するためのアクセスを提供する旨を記載する。
-   c） オブジェクトコードの個々のコピーを、対応するソースを提供するという書面による申し出のコピーといっしょに伝達する。この選択肢は特別な場合、かつ非商業的な場合のみに、そしてあなたがオブジェクトコードを上記小項 6b に合致した申し出といっしょに受領した場合にのみに認められる。
-   d） オブジェクトコードを、指定の場所から複製するためのアクセスを提供することによって伝達し、対応するソース』に対しても同じ場所を通じて同じ方法で複製するための同等のアクセスを提供する。伝達は無料でも手数料を課しても構わないが、『対応するソース』に対して追加的な課金を行ってはならない。受領者に対して、『対応するソース』をオブジェクトコードといっしょに複製することを義務づける必要はない。オブジェクトコードの複製元がネットワークサーバの場合、対応するソースは同等の複製機能をサポートする異なったサーバ（あなたか第三者が運営）上にあっても良い。その場合、オブジェクトコードの傍らに、『対応するソース』はどこで見つけられるかを明確に指示しておかなければならない。どのサーバが『対応するソース』をホストするかに関わらず、あなたは『対応するソース』がこれらの条項を満たすために必要なかぎり利用可能であることを保証する責任がある。
-   e） オブジェクトコードをピア・ツー・ピア伝送を使って伝達する。ただしこの場合、あなたは上記小項 6d に従い、その作品のオブジェクトコードと『対応するソース』がどこで一般公衆に無料で提供されるのかということを他のピアに知らせておかなければならない。

オブジェクトコードの分離した一部であり、そのソースコードが『対応するソース』から『システムライブラリ』として除外されているものは、オブジェクトコード作品を伝達する場合に含める必要はない。

「ユーザ製品」（User Product）とは、（1）「コンシューマ製品」（consumer product）、すなわち、個人、子供、あるいは家庭用に通常使用される有形個人資産すべてか、あるいは（2）居住所における導入を目的に設計ないし販売されるものすべてを指す。ある物品がコンシューマ製品であるかを決定する際疑義がある場合には、極力範囲を広げる方向で決定されるべきである。ここで、ある特定のユーザによって受領されたある特定の製品にとっての「通常使用」（nomally used）とは、その種の製品において典型的な、あるいは一般的な利用のことであり、その特定のユーザが置かれた状況や、その特定のユーザがその製品を実際にどう使っているか、どう使うことを予期しているか、あるいは予期されているかとは関係ない。その製品に相当な商業的、産業的または非コンシューマ的な利用法があったとしても、そうした利用がその製品の唯一重要な利用形態を代表するものでない限り、その製品はコンシューマ製品である。

ユーザ製品の「『インストール用情報』」（Installation Information）とは、ユーザ製品内の『保護された作品』に関して、『対応するソース』の改変されたバージョンから得られる『保護された作品』の改変されたバージョンを、インストール、実行するために必要な手法、手順、認証キーやその他の情報すべてを意味する。この情報は、改変されたオブジェクトコードの継続的な動作が、改変が為されたということによってのみ拒否されたり妨害されることが決してないことを保証するのに十分なものでなければならない。

本節の下において、作品をユーザ製品の内で、またはユーザ製品と共に、あるいは特にユーザ製品での利用を念頭においてオブジェクトコードで伝達し、またその伝達がユーザ製品の受領者への所有と利用の権利の永遠ないし有期の移転の一部として起こる場合（移転がどのように行われるかは問わない）、この条項の下で『対応するソース』は『インストール用情報』と共に提供されなければならない。しかしこの条件は、あなたと第三者のいずれもが改変されたオブジェクトコードをユーザ製品にインストールする能力を有していない際には適用されない（例えば、作品がROMにインストールされている場合）。

『インストール用情報』を提供する条件には、受領者によって改変ないしインストールされた作品、あるいはそうした作品が改変ないしインストールされたユーザ製品に対し、サービスや保証、アップデートを提供しつづけるという条件は含まれない。改変自体がネットワークの運用に実質的かつ有害な影響をもたらし、ネットワークを介したコミュニケーションのプロトコルや規則に違反する場合には、ネットワークアクセスを拒否しても構わない。

伝達される『対応するソース』や提供される『インストール用情報』が本節を満たすためには、それらが公に文書化された形式で（かつ公衆に対してソースコード形式で利用可能な実装とともに）提供されなければならない。この場合、これらの圧縮展開や読み込み、複製に特別なパスワードやキーを必要としてならない。

#### 7. 追加的条項

「追加的許可」（Additional permissions）とは、本許諾書が課す条件に一つかそれ以上の例外を設けることにより、本許諾書の条項を補足する条項のことである。『プログラム』全体に適用可能な追加的許可は、適用可能な法の下でそれらが有効である限り、あたかもそれらが本許諾書に含まれているかのように扱われなければならない。追加的許可が『プログラム』の一部にのみ適用される場合、その部分に関してはそういった追加的許可の下で別途利用可能だが、『プログラム』全体としては追加的許可に関わりなく本許諾書によってのみ管理される。

あなたが『保護された作品』のコピーを伝達する場合、あなたは追加的許可をそのコピー、あるいはその一部から削除することを選択できる（追加的許可は、あなたが作品をある種の形で改変する際には、そうした許可自身の削除を要求するような形で書かれてもよい）。あなたは、あなたによって『保護された作品』に追加され、あなたが適切な『コピーライト』許可を有するか、与えることができる限り、その一部分に追加的許可を設定することができる。

本許諾書の他の条件に関わらず、あなたが『保護された作品』に追加した一部分について（その部分の『コピーライト』保有者らによって正式に許可されていれば）、本許諾書の条項を、以下に示す条項で補足することができる:

-   a） 本許諾書第15項および第16項の条項とは異なった形で保証の否認や責任の限定を主張する。あるいは、
-   b） 追加した一部分において、明示的で妥当な法的告知や作者特定の保全、またはそれを含む作品において『適切な法的告知』の表示を要求する。あるいは、
-   c） 追加した一部分の出自を不当に表示することを禁じるか、あるいはそのような一部分の改変されたバージョンはオリジナルのバージョンとは異なっているということを適切な方法で印づけることを要求する。あるいは、
-   d） その一部分のライセンサーや作者の名前を、宣伝目的で利用することを制限する。あるいは、
-   e） 商品名や商標、サービスマークの利用に関して、商標法に従い権利を授与することを拒否する。あるいは、
-   f） その一部分（あるいはその改変されたバージョン）を伝達する者に、受領者への責任に関して契約上の引き受けがあり、そうした責任が直接的にそういったライセンサーや作者にまで課せられる場合、その一部分のライセンサーや作者の免責を要求する。

他の非許可的な追加的条項は下記第10項が意味するところの「さらなる権利制限」（further restrictions）とみなされる。あなたが受領した『プログラム』、あるいはその一部に、それが本許諾書とともにさらなる権利制限である条項によっても管理されていると述べた告知が含まれている場合には、あなたはそういった条項を削除して構わない。あるライセンス文書にさらなる権利制限がふくまれているが、しかし本許諾書の下での再許諾や伝達を許可しているならば、あなたはそのライセンス文書の条項によって管理されている一部分を『保護された作品』に追加することができる。ただしその場合、さらなる権利制限はそのような再許諾や伝達では無効としなければならない。

あなたが本節に従って『保護された著作物』に条項を追加した場合、あなたは関係するソースファイル中に、それらのファイルに適用される追加的条項に関する声明、あるいは適用可能な条項を見つけることができる場所を示す告知を掲載しなければならない。

追加的条項は、それが許可的であろうと非許可的であろうと、別途書面化されたライセンスという形式で述べられてもよいし、本許諾書への例外として述べられてもよい。上記の要件はどちらの場合でも適用される。

#### 8. 終了

あなたは『保護された作品』を、本許諾書の下で明示的に提供されている場合を除いて、普及、または改変してはならない。それ以外に『保護された作品』を普及、または改変しようとする試みはすべて無効であり、本許諾書の下であなたに認められた権利（下記第11項の第3段落に従い授与されたパテントライセンスすべてを含む）を自動的に終了させることになる。

しかしながら、あなたが本許諾書への違反をすべて中止するならば、あなたがある特定の『コピーライト』保有者から得たライセンスは、（a）その『コピーライト』保有者が明白かつ決定的にあなたへのライセンスを終了させるか、あるいはさせないまでは暫定的に、（b）その『コピーライト』保有者が、あなたに対し違反について、何らかの正当な手段によりライセンス停止後60日以内に通知することができなかった場合には永続的に、回復される。

加えて、あなたがある特定の『コピーライト』保有者から得たライセンスは、その『コピーライト』保有者があなたに対して違反を何らかの正当な手段で通知し、それより前にその『コピーライト』保有者から、（当該作品に限らずその『コピーライト』保有者の作品のいずれかに関して）本許諾書に関する違反の通知を受領したことがなく、さらにあなたがその通知を受領してから30日以内に違反を正した場合、永続的に回復される。

本節に従いあなたの権利が終了した場合でも、本許諾書に従ってあなたからコピーや権利を受領した当事者が得た許諾は終了しない。あなたの権利が終了され、永続的に回復されなかった場合には、あなたは同じライセンス対象に関し下記第10項に従って新たにライセンスを受領する資格を失うものとする。

#### 9. コピーの所有に必要とされない受諾

あなたは、『プログラム』のコピーを受領あるいは実行するために本許諾書を受諾する必要はない。コピーを受領するためにピア・ツー・ピア伝送を使った結果としてのみ発生する『保護された作品』の付随的な普及も、同様に受諾を必要としない。しかしながら、他の場合においては、本許諾書以外にあなたに対して『保護された作品』の普及や改変をする許可を認めるものはない。これらの行為は、本許諾書を受諾しない限り『コピーライト』を侵害することになる。そこで、『保護された作品』を改変あるいは普及することにより、あなたはそうした行為を行うために本許諾書を受諾したということを示したことになる。

#### 10. 下流の受領者への自動的許諾

あなたが『保護された作品』を伝達するたびに、受領者は自動的にオリジナルのライセンサーから、本許諾書に従いその作品を実行、改変、普及するライセンスを得る。なお、あなたには第三者が本許諾書に従うことを強制する責任はない。

「主体取引」（entity transaction）とは、ある組織そのもの、ないしその組織の実質的に全ての資産の支配権が移転するか、あるいは組織の細分化や合併が行われるような取引を指す。もし主体取引の結果として『保護された作品』の普及が起こった場合、作品のコピーを受領したそれぞれの取引当事者は、利害関係のある当事者の先任者から、その先任者が前段落に従って有する、あるいは与えることができる、その作品に関するライセンスもまたすべて受領する。加えて個々の取引当事者は、利害関係のある先任者から、その先任者が有しているか、適正な努力によって得ることが可能な限りにおいて、その作品の『対応するソース』の所有権も得る権利を有する。

あなたは本許諾書の下で授与された、あるいは確約された権利の行使に対して、本許諾書が規定する以上のさらなる権利制限を課してはならない。たとえば、あなたはライセンス料、ロイヤルティや他の料金を、本許諾書の下で認められている権利の行使に関して課してはならない。また、あなたは『プログラム』やその一部の作成、利用、販売、販売の申し出、取り込みによって何らかのパテントクレームが侵害されたとして、訴訟（訴訟における反対請求ないし反訴を含む）を開始してはならない。

#### 11. 特許

「貢献者」（contributor）とは、本許諾書の下で『プログラム』、あるいは『プログラム』が基にした作品を利用することを正式に許可した『コピーライト』保有者のことを指す。従って、そのようにしてライセンスされた作品は、貢献者による「貢献者バージョン」（contributor version）と呼ばれる。

ある貢献者の「必須パテントクレーム」（essential patent claims）とは、すでに取得しているか、あるいは今後取得する見込みがあるため、その貢献者が現在所有ないし支配していると言える特許のうち、貢献者バージョンに対して、本許諾書で許可されているような作成や利用、販売といった何らかの形の行為を行うことによって侵害される可能性があるパテントクレームのすべてを意味する。ただし、貢献者バージョンをさらに改変した結果としてのみ侵害されるようなクレームは含まれない。この定義において、「支配」には本許諾書が課す条件と整合的なやり方で特許の再許諾を認める権利も含まれる。

個々の貢献者はあなたに対して、その貢献者の必須パテントクレームに関し、あなたがその貢献者バージョンの内容を作成、利用、販売、販売の申し出、取り込み、その他実行、改変、普及するために必要な、非排他的で全世界的に有効、かつロイヤルティフリーのパテントライセンスを授与する。

以下の3段落において「『パテントライセンス』」とは、ある特許を実施しないという明示的な協定やコミットメントのすべてを指す（例えば、ある特許の実施に対する明示的な許可や、特許侵害訴訟を提起しないという誓約など）。そのような『パテントライセンス』をある当事者に「授与」するとは、その当事者と特許を実施しないという協定やコミットメントを結ぶことを意味する。

もしあなたが、『保護された作品』の伝達を、それがある『パテントライセンス』に依存しており、よってその作品の『対応するソース』は、すべての人にとって、公衆が利用可能なネットワークサーバや他の容易にアクセス可能な手段を通じ、無料かつ本許諾書に従って複製可能ではないということを知りながら行うならば、あなたは（1）『対応するソース』も同様に利用可能にするか、（2）この特定の作品に関して『パテントライセンス』から得られる便益を自ら剥奪するか、あるいは（3）下流の受領者に対しても、本許諾書の条項と整合的な形で、『パテントライセンス』が拡大されるように計らうかのいずれかを行わなければならない。ここで「『パテントライセンス』に依存するのを知りながら」というのは、あなたが『保護された作品』をある国で伝達すること、あるいはあなたの受領者が『保護された著作物』をある国で利用することが、『パテントライセンス』を授与されない限り、その国において、あなたにとってそれが有効だと信じるだけの理由がある一つかそれ以上の同定可能な特許を侵害するということを実際に知っているということである。

ある一対一の取引や協定に基づき、あるいは関連して、あなたが『保護された作品』の伝達、または伝達によって引き起こされる普及を行い、その際『保護された作品』を受領した一部の当事者に対して、『保護された作品』の特定のコピーの利用、普及、改変、または伝達を正式に許可するような『パテントライセンス』を授与するならば、あなたが授与した『パテントライセンス』は『保護された作品』やそれを基にした作品のすべての受領者にまで自動的に拡大されることになる。

ある『パテントライセンス』が「差別的」（discriminatory）であるとは、本許諾書の下で明確に認められた一つかそれ以上の権利を、『パテントライセンス』がカバーする範囲内に含まなかったり、そうした権利の行使を禁じたり、あるいは権利を行使しないことを条件として課すようなものである場合を指す。あなたを一方の当事者とし、ソフトウェアの頒布を生業とする第三者との間で、あなたは第三者に対し、作品を伝達する活動の程度に基づいて支払いを行う一方、第三者は、あなたから『保護された作品』を受領したすべての当事者に対して「差別的」な『パテントライセンス』を、（a） あなたが伝達した『保護された作品』のコピー（またはそうしたコピーから作成されたコピー）に対して、または（b） 『保護された作品』を含む特定製品や編集物を、主要な、あるいは関連した対象として授与する、というような協定を結んでいる場合、あなたは『保護された作品』を伝達してはならない。ただし、あなたがそのような協定を締結したり、『パテントライセンス』を授与されたのが2007年3月28日より以前である場合は本節の例外とする。

本許諾書に含まれる一切の記述は、適用可能な特許法の下であなたが利用可能な暗黙のライセンス、その他侵害への防御手段を排除したり制限したりするように解釈されてはならない。

#### 12. 他者の自由を明け渡してはならない

何らかの条件（裁判所の指令や協定など）があなたに課せられ、それが本許諾書の条件と矛盾したとしても、あなたが本許諾書の条件を免れることにはならない。あなたが、『保護された作品』を、本許諾書が課す義務と他の関連した義務の両方を同時に満たすような形で伝達できないのであれば、結果としてあなたがそれを伝達することは全く不可能ということになる。例えばあなたが、自分が『プログラム』を伝達した人々がさらに伝達を行う場合には、彼らからロイヤルティを徴収する、というような義務を負う条項に同意していた場合、あなたがそういった条項と本許諾書の両方を満たすには、『プログラム』の伝達を完全に止めてしまうしかないだろう。

#### 13. リモートネットワークインタラクション、および GNU 一般公衆利用許諾書との利用

本許諾書に含まれる他の条件に関わらず、あなたが『プログラム』を改変した場合、改変したバージョンは、そのバージョンとリモートでコンピュータネットワークを介し対話的にやりとりする（あなたのソフトウェアがそのようなインタラクションをサポートしている場合）すべてのユーザに対して、ネットワークサーバから、あなたのバージョンに『対応するソース』にアクセスする手段を、無償、かつソフトウェアのコピーを円滑に行う上で標準的、慣習的に用いられる方法で提供することにより、ユーザが『対応するソース』を受け取る機会を明示的に与えなければなければならない。ここでいう『対応するソース』には、次の段落に従って取り込まれた、GNU 一般公衆利用許諾書のバージョン3で保護されるすべての作品も含まれる。

本許諾書に含まれる他の条件に関わらず、あなたには、『保護された作品』を GNU 一般公衆利用許諾書バージョン3の下で許諾された作品とリンクまたは結合して単一の結合物とし、その結果物を伝達する許可が与えられる。本許諾書の条項は『保護された作品』である部分に関してはそのまま適用されるが、結合された側の作品は、GNU 一般公衆利用許諾書のバージョン3によって保護され続ける。

#### 14. 本許諾書の改訂されたバージョン

フリーソフトウェア財団は、改訂された、あるいは新しいバージョンのGNU Affero 一般公衆利用許諾書を折りに触れて発行することができる。そのような新バージョンは、その精神においては現在のバージョンと似たものになるだろうが、細部については新たな問題や懸念を解決すべく異なるものになるだろう。

それぞれのバージョンには、見分けがつくようなバージョン番号が振られている。『プログラム』に、ある特定のバージョン番号が振られたGNU Affero 一般公衆利用許諾書「かそれ以降のバージョンのいずれか（or any later version）」が適用されると指定されていた場合、あなたは指定された番号のバージョンか、それ以降にフリーソフトウェア財団によって発行されたいずれかのバージョンのどちらの利用条件に従うかを選ぶことができる。『プログラム』が本許諾書のバージョン番号を指定していなかった場合には、あなたはフリーソフトウェア財団がそれまでに発行したバージョンの中からどれを選択しても構わない。

（訳注: 日本語訳のバージョンは日付で管理している。冒頭を見よ。）

『プログラム』において、GNU Affero 一般公衆利用許諾書の将来のバージョンのうちどれが適用されうるかは代理人が決定できる、と指定されていた場合、その代理人が、あるバージョンを受諾すると述べた公的な声明は、あなたに対し、その『プログラム』に関してそのバージョンのGNU AGPLを選ぶことを永続的かつ正式に許可するのと等しい。

本許諾書の今後のバージョンでは、あなたに追加的な、または従来とは異なった形での許可を与えるかもしれない。しかしながら、作者や『コピーライト』保有者に対し、あなたが以降のバージョンに従うことを選んだ結果として、追加的な義務が課せられることはない。

#### 15. 保証の否認

**『プログラム』には、適用可能な法で許可されている範囲において何の保証もない。書面で述べられていない限り、『コピーライト』保有者やその他の当事者は『プログラム』を「あるがまま（as is）」で、明示的、暗示的を問わず、いかなる種類の保証もなく提供する。この保証には、商用可能性や特定目的への適合性の暗黙的保証が含まれるが、これらに限定されない。『プログラム』の質や性能に関するリスクはすべてあなたに帰属する。『プログラム』に問題があると判明した場合、あなたは必要なすべての対応、補修、修正にかかる費用を負うものとする。**

（訳注: 原文すべて大文字で強調）

#### 16. 責任の限定

**適用可能な法において義務づけられるか、書面による同意がない限り、『コピーライト』保有者あるいはその他『プログラム』を上記で許可された通りに改変あるいは伝達する当事者は、たとえそうした保有者や他の当事者が損害が発生する可能性について事前に通知されていたとしても、あなたに対して損害賠償責任を有することはない。ここでいう損害には、『プログラム』の利用あるいは利用できないことから発生した一般的、特殊的、偶然的、必然的な損害のすべてが含まれる（データの消失やデータの不正確な解釈、あなたや第三者によって被った、あるいは『プログラム』が他のプログラムといっしょにうまく動作しなかったために引き起こされた損害などが含まれるが、これらに限定されない）。**

（訳注: 原文すべて大文字で強調）

#### 17. 第 15 項と第 16 項の解釈について

上記のような保証の否認や責任の限定が、特定国内においてそういった条項が指定する通りの法的効力を持ち得ない場合、再審裁判所は、『プログラム』に関連したすべての民事責任の絶対的棄権に最も近く肉薄する国内法を適用すべきである。ただし、報酬の見返りとして責任の保証や引き受けが『プログラム』のコピーに付随する場合は除く。

**利用条件はここまで**

### 以上の条項をあなたの新しいプログラムに適用する方法

あなたが新たなプログラムを開発したとして、公衆によってそれが利用される可能性を最大限高めたいならば、そのプログラムをフリーソフトウェアとし、本許諾書の条項の下で誰でも再頒布ないし変更できるようにするのが最善の道です。そうするためには、プログラムに以下のような告知を付け加えてください。その場合、保証が除外されているということを最も効果的に明言するため、それぞれのソースファイルの冒頭に告示を付け加えるのが最も安全です。少なくとも、「Copyright」から始まる行と、告知全文がある場所へのポインタだけは各ファイルに含めておいてください。

        <one line to give the program’s name and a brief idea of what it does.>
        Copyright (C) <year> <name of author>

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU Affero General Public License as 
		published by the Free Software Foundation; either version 3 of the 
		License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful, 
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
        GNU Affero General Public License for more details.

        You should have received a copy of the GNU Affero General Public License
        along with this program. If not, see <https://www.gnu.org/licenses/>.

        （訳:

        <プログラムの名前と、それが何をするかについての簡単な説明を1行程度。>
        Copyright (C) <年> <作者の名前>

        このプログラムはフリーソフトウェアです。あなたはこれを、フリーソフトウェア
		財団によって発行されたGNU Affero 一般公衆利用許諾書（バージョン3か、それ以降
        のバージョンのうちどれか）が定める条件の下で再頒布または改変することが
        できます。

        このプログラムは有用であることを願って頒布されますが、*全くの無保証*です。
		*商業可能性の保証や特定目的への適合性は、言外に示されたものも含め、
        全く存在しません。*詳しくはGNU Affero 一般公衆利用許諾書をご覧ください。あなたは
		このプログラムと共に、GNU Affero 一般公衆利用許諾書のコピーを一部受け取って
		いるはずです。もし受け取っていなければ、
		<https://www.gnu.org/licenses/> をご覧ください。
		
		）

電子や紙のメールであなたに問い合わせる方法についての情報も書き加えましょう。

あなたのソフトウェアが、ユーザとコンピュータ・ネットワークを介してリモートで対話的にやりとりする場合、ユーザがそのソフトウェアのソースを入手するための手段を提供していることも確認してください。例えば、あなたのプログラムがウェブアプリケーションの場合、そのインターフェースに「ソース」リンクを表示し、ユーザをコードのアーカイヴへ誘導するとよいでしょう。ソースを提供するには様々な方法があり、プログラムのタイプによって最適な方法は様々です。特に満たすべき条件に関しては、第 13 項を見てください。

また、必要ならばあなたは、（プログラマーとして働いていたら）あなたの雇用主、あるいは場合によっては学校に依頼して、そのプログラムに関する「著作権放棄声明（copyright disclaimer）」に署名してもらうべきです。この点に関するより詳しい情報や、GNU AGPLを適用し、その条項に従うにはどうすればよいのかについては、<https://www.gnu.org/licenses/> をご覧ください。

### 日本語訳の変更履歴

- 2018年8月20日 初訳出。
- 2018年8月21日 翻訳の公開に関する条件を追記。
